<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>io.leandev.appstack</groupId>
    <artifactId>appstack-bpm-engine</artifactId>
    <version>2.0.0-SNAPSHOT</version>
    <packaging>jar</packaging>

    <name>appstack-bpm-engine</name>
    <description>AppStack BPM Engine</description>

    <properties>
        <camunda.version>7.11.0</camunda.version>
    </properties>

    <repositories>
        <repository>
            <id>maven-release</id>
            <name>maven-release</name>
            <url>http://maven.leandev.io/repository/maven-releases</url>
            <releases>
                <enabled>true</enabled>
                <checksumPolicy>fail</checksumPolicy>
            </releases>
        </repository>
        <repository>
            <id>maven-snapshots</id>
            <name>maven-snapshots</name>
            <url>http://maven.leandev.io/repository/maven-snapshots/</url>
            <snapshots>
                <enabled>true</enabled>
                <updatePolicy>always</updatePolicy>
                <checksumPolicy>fail</checksumPolicy>
            </snapshots>
        </repository>
    </repositories>

    <parent>
        <groupId>io.leandev.appstack</groupId>
        <artifactId>appstack-bpm-parent</artifactId>
        <version>2.0.0-SNAPSHOT</version>
        <relativePath/>
    </parent>

    <dependencies>
        <!-- ** Camunda ** -->
        <dependency>
            <groupId>org.camunda.bpm</groupId>
            <artifactId>camunda-engine</artifactId>
            <version>${camunda.version}</version>
        </dependency>
        <dependency>
            <groupId>org.camunda.bpm</groupId>
            <artifactId>camunda-engine-spring</artifactId>
            <version>${camunda.version}</version>
        </dependency>
        <dependency>
            <groupId>org.camunda.bpm</groupId>
            <artifactId>camunda-engine-cdi</artifactId>
            <version>${camunda.version}</version>
        </dependency>
        <!-- Don't upgrade to 2.5.x -->
        <dependency>
            <groupId>org.codehaus.groovy</groupId>
            <artifactId>groovy-all</artifactId>
            <version>2.4.17</version>
        </dependency>
    </dependencies>
</project>
